<template>
  <div id="nav" class="header clearfix">
    <div class="float-right main-links mb-2">
      <router-link v-if="!isLoggedIn" to="/auth/login">Login</router-link>
      <div v-if="isLoggedIn">
        <router-link to="/auth/profile" class="text-nowrap">{{user.username}}</router-link>
        <app-icon v-if="isAdmin" class="mr-2" icon="admin" style="position: relative; top: -2px" />
        <app-icon
          v-if="$store.getters['auth/isShapeshifting']"
          class="mr-2"
          size="s"
          icon="shapeshift"
          style="position: relative; top: -2px"
        />
        <router-link v-if="isAdmin" to="/admin">Admin</router-link>
        <router-link to="/logout" event @click.native.prevent="logout">Logout</router-link>
      </div>
    </div>
    <div class="main-links float-left">
      <router-link to="/" exact>Home</router-link>
      <router-link to="/surveys">Surveys</router-link>
      <router-link :to="{name: 'group-list'}">Groups</router-link>
    </div>
  </div>
</template>

<script>
import appIcon from "@/components/ui/Icon.vue";

export default {
  components: {
    appIcon
  },
  computed: {
    isLoggedIn: function() {
      return this.$store.getters["auth/isLoggedIn"];
    },
    user() {
      return this.$store.getters["auth/user"];
    },
    isAdmin() {
      return this.$store.getters["auth/isAdmin"];
    }
  },
  methods: {
    async logout() {
      this.$store.dispatch("auth/logout");
      this.$router.push("/auth/login");
    }
  }
};
</script>

<style lang="scss" scoped>
$header-links-padding: 0.4rem;

div.main-links a:first-child {
  padding-right: $header-links-padding;
  padding-left: 0px;
  border-left: none;
}

div.main-links a {
  padding: 0 $header-links-padding;
  border-left: 2px solid #2c3e50;
}
</style>